Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class PingHeader

    java.lang.Object
      org.jgroups.Header
          org.jgroups.protocols.PingHeader

All Implemented Interfaces:
  Streamable

    public class PingHeader

extends Header

Author:
  Bela Ban

Field Summary
`PingData` | `arg`
`java.lang.String` | `cluster_name`
`static byte` | `GET_MBRS_REQ`
`static byte` | `GET_MBRS_RSP`
`boolean` | `return_view_only`
`byte` | `type`

Constructor Summary
`PingHeader()`
`PingHeader(byte type, PingData arg)`
`PingHeader(byte type, PingData arg, java.lang.String cluster_name)`
`PingHeader(byte type, java.lang.String cluster_name)`

Method Summary
`void` | `readFrom(java.io.DataInputStream instream)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` | `size()` To be implemented by subclasses.
`java.lang.String` | `toString()`
`void` | `writeTo(java.io.DataOutputStream outstream)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GET_MBRS_REQ

    public static final byte GET_MBRS_REQ

See Also:
  Constant Field Values

### GET_MBRS_RSP

    public static final byte GET_MBRS_RSP

See Also:
  Constant Field Values

### type

    public byte type

### arg

    public PingData arg

### cluster_name

    public java.lang.String cluster_name

### return_view_only

    public boolean return_view_only

Constructor Detail

### PingHeader

    public PingHeader()

### PingHeader

    public PingHeader(byte type,
                      java.lang.String cluster_name)

### PingHeader

    public PingHeader(byte type,
                      PingData arg)

### PingHeader

    public PingHeader(byte type,
                      PingData arg,
                      java.lang.String cluster_name)

Method Detail

### size

    public int size()

  Description copied from class: `Header`
  To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

  Specified by:
    `size` in class `Header`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Header`

### writeTo

    public void writeTo(java.io.DataOutputStream outstream)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream instream)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.